Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226892

Summary: Review Request: kpowersave - kde power control applet
Product: [Fedora] Fedora Reporter: Dennis Gilmore <dennis>
Component: Package ReviewAssignee: Aurelien Bompard <gauret>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-02-04 18:36:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 226891    
Bug Blocks: 163779    

Description Dennis Gilmore 2007-02-01 21:31:21 UTC
Spec URL: http://www.ausil.us/packages/kpowersave.spec
SRPM URL: http://www.ausil.us/packages/kpowersave-0.7.1-1.src.rpm 
Description: power control applet for kde

Comment 1 Aurelien Bompard 2007-02-02 09:00:03 UTC
Needs work:
* Source 0 is not available, please replace it with
http://dl.sf.net/powersave/kpowersave-%{version}.tar.bz2
* BuildRequires: desktop-file-utils is missing
* Build failed in mock, missing buildrequires: hal-devel (at least). Please test
the build in mock.

Comment 2 Dennis Gilmore 2007-02-02 16:53:53 UTC
i grabbed the tarball from the ftp site  but have changed the url.
build in mock 
SRPM: http://www.ausil.us/packages/kpowersave-0.7.1-2.al3.src.rpm
SPEC: http://www.ausil.us/packages/kpowersave.spec

Comment 3 Aurelien Bompard 2007-02-03 10:27:15 UTC
Needs work:
* Please remove /usr/lib/libkdeinit_kpowersave.la, it should be useless
(http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries).
/usr/lib/kde3/kpowersave.la is probably needed however, please keep it.
* As kpowersave ships icons in the hicolor directory, it should have "Requires:
hicolor-icon-theme"
  https://www.redhat.com/archives/fedora-extras-list/2006-September/msg00282.html

Everything else looks OK, good job.

Comment 4 Dennis Gilmore 2007-02-03 22:08:54 UTC
libkdeinit .la files are needed and kdelibs requires hicolor-icon-theme  so 
the requires is redundant.

Comment 5 Aurelien Bompard 2007-02-04 09:08:42 UTC
Thanks for the clarification.

Review for release 2.fc6:
* RPM name is OK
* Source kpowersave-0.7.1.tar.bz2 is the same as upstream
* This is the latest version
* rpmlint looks OK
* File list looks OK
* Builds fine in mock
* Works fine
(36 automatic checks have been run by fedora-qa)

APPROVED

Comment 6 Dennis Gilmore 2007-02-04 18:36:42 UTC
Built in devel and FC-6  thanks for the review.